EBOOK-META(1)

NAME
ebook-meta - ebook-meta

ebook-meta ebook_file [options]

Czytanie/zapis metadanych plików książki

Obsługiwane formaty odczytu metadanych: azw, azw1, azw3, azw4, cb7, cbc, cbr, cbz, chm, docx, epub, fb2, fbz, html, htmlz, imp, lit, lrf, lrx, mobi, odt, oebzip, opf, pdb, pdf, pml, pmlz, pobi, prc, rar, rb, rtf, snb, tpz, txt, txtz, updb, zip

Obsługiwane formaty zapisu metadanych: azw, azw1, azw3, azw4, docx, epub, fb2, fbz, htmlz, lrf, mobi, odt, pdb, pdf, prc, rtf, tpz, txtz

Różne typy plików obsługują różne typy metadanych. Jeśli zostaną wprowadzone nieobsługiwane dane, zostaną one pominięte.

Ilekroć przekazujesz argumenty do ebook-meta, które zawierają spacje, ujmuj je w cudzysłowy. Na przykład: "/some path/with spaces"

[OPCJE]

--author-sort
    Ciąg znaków używany podczas sortowania według autora. Jeśli nie zostanie określony, a autor(rzy) nie będą wskazani, zostanie automatycznie wygenerowany od autora(ów).

--authors, -a
    Wpisz autorów. Jeśli występuje kilku autorów oddzielaj ich za pomocą znaku "&". Dane autorów powinny być podane w kolejności: Imię Nazwisko.

--book-producer, -k
    Podaj producenta książki (w Polsce nie praktykowane).

--category
    Wpisz kategorię książki.

--comments, -c
    Ustaw opis dla e-booka.

--cover
    Ustaw podany plik jako okładkę.

--date, -d
    Podaj datę publikacji.

--from-opf
    Odczytaj metadane z określonego pliku OPF i użyj go do ustawienia metadanych w e-booku. Metadane określone w wierszu polecenia zastąpią metadane odczytane z pliku OPF

--get-cover
    Pobierz okładkę z książki i zapisz ją do określonego pliku.

--help, -h
    wyświetla ten tekst pomocy i kończy działanie

--identifier
    Ustaw identyfikatory książki, można je podawać wielokrotnie. Na przykład: --identifier uri:https://acme.com --identifier isbn:12345 Aby usunąć identyfikator, nie określaj żadnej wartości, --identifier isbn: Zauważ, że w przypadku plików EPUB identyfikator oznaczony jako identyfikator pakietu nie może być oddalony.

--index, -i
    Podaj numer książki w cyklu.

--isbn
    Wpisz numer ISBN książki.

--language, -l
    Podaj język.

--lrf-bookid
    Ustaw identyfikator książki w plikach LFR

--publisher, -p
    Ustaw wydawcę e-booka.

--rating, -r
    Wpisz ocenę. Musi to być cyfra pomiędzy 1 a 5.

--series, -s
    Wybierz serie, do których należy ta książka.

--tags
    Wpisz etykiety dla książki. Kolejne etykiety oddzielaj przecinkami.

--title, -t
    Wpisz tytuł.

--title-sort
    Forma tytułu używana przy sortowaniu. Jeśli nie jest określona, a tytuł jest podany, zostanie ona automatycznie wygenerowana z tytułu.

--to-opf
    Określ nazwę dla pliku OPF. Metadane zostaną zapisane w tym pliku.

--version
    wyświetla wersję programu i kończy działanie

AUTHOR
Kovid Goyal

COPYRIGHT
Kovid Goyal